Subject: RE: Porting OS/2 EMX __findfirst / __findnext
From: peter karlsson <[email-masked]>
To: [email-masked]
Cc: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Date: Thu, 13 Apr 2000 21:19:38 +0200 (CEST)

Larry Hall (RFK Partners, Inc):

> If you really need getops(), you will need to write your own, find a
> substitute, or switch back to the Cygwin compiler and run configure.

I wrote a simple substitute to use when it isn't available. The rest of the
code seems to work fine now (including _findfirst), after patching limits.h
a little bit to get around some pre-processor errors I got using it.

> I'm not sure why findfirst()/findnext() would have disappeared from the
> Mingw version. Are you sure its not just in other files?

They are in io.h.

Thanks to everyone who answered! Seems to work just fine now (hopefully I
didn't break the CygWin compilation in the progress).

-- 
\\//
peter - http://www.softwolves.pp.se/

--
Want to unsubscribe from this list?
Send a message to [email-masked]